Product

Product #

Devices are grouped in products with different functionality. A product supports a given set of services.

List Products #

To get a list of available products:

curl -H "X-API-Key: <api key>" https://api.nr.iotready.no/api/v1/products

Response:

{
  "products": [
    {
      "name": "product1"
    },
    {
      "name": "product2"
    }
  ]
}

Get Product #

Get information on a single product:

curl -H "X-API-Key: <api key>" https://api.nr.iotready.no/api/v1/product/product1

Get Product Devices #

Get a list of devices for a given product:

curl -H "X-API-Key: <api key>" \
    https://api.nr.iotready.no/api/v1/product/product1/devices

This will return the first 100 devices. These can be followed up by using these query parameters:

Name Default Description
previous Get devices after this device id
count 100 Maximum number of devices to be returned

The same query can be done with the Multiple Devices endpoint.